<?xml version="1.0" encoding="utf-8"?>

<article format="2002-03-05">

<article_head>
	<article_id>d10625</article_id>
	<article_addr><sect>3</sect><subsect>01</subsect></article_addr>
	<article_subj>memo: IE6 CSS Tips ほか</article_subj>
</article_head>

<article_body>
<div class="small">
<p>2001.06.25 - <a href="http://pcweb.mycom.co.jp/news/2001/06/22/03.html">ブロードバンドにおける都市と地方の格差</a>：Yahoo! BB はホントに全国展開できるのか?というこのインフラな問題以前に、なんかそもそも光が来るまでの数年間のつなぎの暫定政権という気がする。1mbpsオーダは電話回線からみたら夢のようだけど、FTTH なら100メガとかでしょう。1メガってテレビに短し、一般サイトに長しという感じで、なんか中途半端な感じがする。まして干渉が多く不安定な線らしいし。しかも「非対称」が、自分的には気に入らない。そう、人の話をよく聞かない自分勝手な山猫としては、下りは今ののろさで充分なのでアップロードを瞬間移動にしてほしいのだ（微笑）。逆の非対称ならいい。これは、このサイトの実用上の問題。やはり対等な分散系になるには、上下の区別などあっては、ならない。こっちは哲学の問題だ。――我々は光という水道が完備する前の、川から手で水をくむ（マニュアルのダイヤルアップ接続）時代にいる。</p>
<p>2001.06.25 - <a href="http://www.microsoft.com/windows/ie/preview/">Internet Explorer 6 Public Preview - Refresh</a>：IE6の新しいβがリリースされたそうです。<a href="http://www.forest.impress.co.jp/article/2001/06/25/ie6pp_refresh.html">ビルド2479らしい</a>のですが、自分は若気の至りで、とっくに<a href="../../../soft/browser/ie6beta2488.png">2488</a>を入れてるのでバージョンアップにならないです。――ちなみにCSS関連でのIE6のTipをいくつかご紹介します。まず、!DOCTYPE宣言の「2行め」（DTD）を書くと、標準準拠モードになり、それを書かないと従来との互換モードになるのがポイント。IE6で表示が変～と思ったら、その行を消すと、とりあえず解決するはず。IE6の標準準拠モードだとどこが変わるかというと、</p>
<ol>
<li>position:absolute などの位置の数字に単位が略せなくなります。数字だけだと従来「px」でしたが、もはや無効な指定（つまりゼロ）とみなされます。</li>
<li>ボックスモデルの width 指定がボックスの幅でなくパディングをのぞいたコンテンツそのものの幅になります。</li>
<li>HTMLタグに対してとBODYタグに対して、べつべつに背景色など指定できます。例えば、BODYの幅を800ピクセルと固定することもできます（はみ出た部分はHTMLタグに対して指定した背景色の空白になる）。</li>
</ol>
<p>手元でとりあえず目につくのは、そんなあたりです。</p>
</div>


</article_body>
</article>
